# Create a directory

Launch stage: GA

`POST /api/2.0/dbfs/mkdirs`

Creates the given directory and necessary parent directories if they do not exist.
 If a file (not a directory) exists at any prefix of the input path, this call throws an exception with `RESOURCE_ALREADY_EXISTS`.
 **Note**: If this operation fails, it might have succeeded in creating some of the necessary parent directories.

API scopes: files

## Request body

- `path` (string, required)
  The path of the new directory. The path should be the absolute DBFS path.
  Example: `/mnt/foo`

## Request

```json
{
  "path": "/mnt/foo"
}
```

## Responses

### 200

Request completed successfully.

## Response

```json
{}
```
